#!/usr/bin/perl

if(scalar(@ARGV) < 2){
	print "Uasge: 04305815.pl {passwdfile} {groupfile}\n";
	exit(0);
}

$passwd = shift(@ARGV);
$group = shift(@ARGV);
%users, %groups;

open PASS, $passwd or die("Unable to open password file $passwd");
open GRP,  $group or die("Unable to open group file $group");

while(<PASS>){
	chomp($_);
	next if(/^#/);
	($username, $something, $userid, $group, $comment, @junk) = split(/:/, $_);
	if(!defined($users{$group})){
		$users{$group} = "$username $comment\n";
	}
	else{
		$users{$group} .= "$username $comment\n";
	}
}
close(PASS);

while(<GRP>){
	chomp($_);
	next if(/^#/);
	($groupname, $something, $groupid, @junk) = split(/:/, $_);
	$groups{$groupname} = $groupid;
}
close(GRP);

while(1){
	
	print ("Enter the group name: ");
	$groupname = <STDIN>;
	chomp($groupname);
	if(!defined($groups{$groupname})){
		print("$groupname: This group does not exist\n");
	}
	else{
		$groupid = $groups{$groupname};
		if(!defined($users{$groupid})){
			print("$groupname: This group does not have any users\n");
		}
		else{
			print("The members are: \n");
			print($users{$groupid});
		}
	}
	print("To exit enter blank, anyuthing else to continue: ");
	$input = <STDIN>;
	chomp($input);
	if($input =~ /^\s*$/){
		exit(0);
	}
}
