#!/usr/bin/perl

open FILE, "db.txt" or die("Unable to open file db.txt\n");

@all_lines;
$i=0;
while(<FILE>){
	chomp($_);
	next if(/^#/);
	$all_lines[$i] = $_;
	$i++;
}
close(FILE);

open OUT, ">out.txt" or die("Unable to open file out.txt for output\n");

print OUT "--------------------------------------\n";
foreach(@all_lines){
	print OUT "$_\n" if(/ing/);
}

print OUT "--------------------------------------\n";
foreach(@all_lines){
	($author, @ignore) = split(/\|/, $_);
	print OUT "$author\n" if($author =~ /^a/i);
}

print OUT "--------------------------------------\n";
foreach $line (@all_lines){
	foreach $token (split(/\|/, $line)){
		foreach $word (split(/\s+/, $token)){
			next if($word =~ /\W+/);
			next if($word =~ /i/);
			print OUT "$word\n" if($word =~ /[^l]*l[^l]*l/);
		}
	}
}


print OUT "--------------------------------------\n";
foreach(@all_lines){
	($author, $book, @ignore) = split(/\|/, $_);
	print OUT "$book\n" if(scalar(split(/\s+/, $book)) >=3 );
}

print OUT "--------------------------------------\n";
foreach(@all_lines){
	$_ =~ s/\[NULL\]/not yet issued/;
	$_ =~ s/00:00:00//;
	$_ =~ tr/A-Z/a-z/;
	print OUT "$_\n";
}

close(OUT);

